Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.propertyoutput
Class PropertyOutputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.propertyoutput.PropertyOutputData

All Implemented Interfaces:
  StepDataInterface

    public class PropertyOutputData

extends BaseStepData
implements StepDataInterface

Output rows to Properties file and create a file.

Since:
  13-Apr-2008
Author:
  Samatar

Field Summary
`org.apache.commons.vfs.FileObject` | `file`
`int` | `indexOfFieldfilename`
`int` | `indexOfKeyField`
`int` | `indexOfValueField`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`PropertyOutputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### indexOfKeyField

    public int indexOfKeyField

### indexOfValueField

    public int indexOfValueField

### indexOfFieldfilename

    public int indexOfFieldfilename

### file

    public org.apache.commons.vfs.FileObject file

Constructor Detail

### PropertyOutputData

    public PropertyOutputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD